Package org.apache.wiki.security

# Class AuditLogger

java.lang.Object
org.apache.wiki.security.AuditLogger

All Implemented Interfaces:
  `EventListener`, `org.apache.wiki.event.WikiEventListener`

public final class AuditLogger extends Object implements org.apache.wiki.event.WikiEventListener
Audit logger - listens to WikiEvent, logging specific events and actions that audit worthy

Since:
  3.0.0

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(org.apache.wiki.event.WikiEvent event)`
`static AuditLogger`
`getInstance()`
`static void`
`initialize(WikiEngine engine)`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### initialize

public static void initialize(WikiEngine engine)

### getInstance

public static AuditLogger getInstance()

### shutdown

public void shutdown()

### actionPerformed

public void actionPerformed(org.apache.wiki.event.WikiEvent event)

Specified by:
  `actionPerformed` in interface `org.apache.wiki.event.WikiEventListener`